Subject: Re: [RESEND] tuning linux for high network performance?

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 23 Oct 2002 10:12:23 -0700

bert hubert wrote:

> I still refuse to believe that a 1.8GHz Pentium4 can only checksum
> 250megabits/second. MD Raid5 does better and they probably don't use a
> checksum as braindead as that used by TCP.
> 
> If the checksumming is not the problem, the copying is, which would be a
> weakness of your hardware. The function profiled does both the copying and
> the checksumming.

Yep, its not so much the checksumming as the fact that this is
done over each byte of data and copied.

thanks,
Nivedita